### Signal

# FwupdPlugin Progress::percentage-changed

since: 1.7.0

#### Declaration

    void
    percentage_changed (
      FuProgress* self,
      guint percentage,
      gpointer user_data
    )

#### Description [src]

The ::percentage-changed signal is emitted when the tasks completion has changed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.7.0

#### Parameters

`percentage`

  Type: `guint`

  The new value.